%define anolis_release 1

Name:    dbus-python
Version: 1.3.2
Release: %{anolis_release}%{?dist}
Summary: D-Bus Python Bindings

License: MIT
URL:     http://www.freedesktop.org/wiki/Software/DBusBindings/
Source0: http://dbus.freedesktop.org/releases/dbus-python/%{name}-%{version}.tar.gz
Source1: http://dbus.freedesktop.org/releases/dbus-python/%{name}-%{version}.tar.gz.asc
# gpg --keyserver keyring.debian.org --recv-keys 36EC5A6448A4F5EF79BEFE98E05AE1478F814C4F
# gpg --export --export-options export-minimal > gpgkey-36EC5A6448A4F5EF79BEFE98E05AE1478F814C4F.gpg
Source2: gpgkey-36EC5A6448A4F5EF79BEFE98E05AE1478F814C4F.gpg

Patch0: 0001-Move-python-modules-to-architecture-specific-directo.patch

BuildRequires: gnupg2
BuildRequires: meson >= 0.56
BuildRequires: pkgconfig(dbus-1) >= 1.8
BuildRequires: pkgconfig(glib-2.0) >= 2.40
# for %%check
BuildRequires: dbus-x11
BuildRequires: python3-gobject
BuildRequires: python3-devel

%description  
D-Bus python bindings for use with python programs.

%package -n python%{python3_pkgversion}-dbus
Summary: D-Bus bindings for python3

%description -n python%{python3_pkgversion}-dbus
%{summary}.

%package devel
Summary: Libraries and headers for dbus-python
Provides: python%{python3_pkgversion}-dbus-devel = %{version}-%{release}

%description devel
Headers and static libraries for hooking up custom mainloops to the dbus python
bindings.

%package doc
Summary:        Documentation files for %{name}
Requires:       python%{python3_pkgversion}-dbus = %{version}-%{release}
Requires:       %{name}-devel =  %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files -n python%{python3_pkgversion}-dbus
%license COPYING
%{python3_sitearch}/*.so
%{python3_sitearch}/dbus/

%files devel
%doc doc/API_CHANGES.txt doc/tutorial.txt
%{_includedir}/dbus-1.0/dbus/dbus-python.h
%{_libdir}/pkgconfig/dbus-python.pc

%files doc
%doc NEWS README ChangeLog

%changelog
* Fri Dec 9 2022 Funda Wang <fundawang@yeah.net> - 1.3.2-1
- New version 1.3.2

* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.18-2
- add doc package

* Thu Mar 03 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 1.2.18-1
- Update to 1.2.18 
- Init for Anolis OS 23
